Bug 51529 - /usr/lib/aspell/english.multi symbolic link overwritten
/usr/lib/aspell/english.multi symbolic link overwritten
Product: Red Hat Linux
Classification: Retired
Component: aspell (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-11 17:55 EDT by adrian.lawrence
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-13 05:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description adrian.lawrence 2001-08-11 17:55:26 EDT
Description of Problem: 

Upgrading or freshening aspell overwrites the
symbolic link  /usr/lib/aspell/english.multi to point to the american
version of
english rather than the english version of english :-)
It should be rpmnew'ed?
Just an oversight in the spec file? 

Since there is no aspell-real_english [ :-) ] or aspell-uk or aspell-au or
 aspell-all_the_other variations, this is irritating and very easy  to

How Reproducible:

Steps to Reproduce:
1. Install aspell and customize to local needs.

2. Wait until this has been forgotten.

3. Update aspell.

Actual Results:

Wrong spelling. Puzzlement. Irritation. ....

Expected Results:

Additional Information:
Comment 1 Trond Eivind Glomsrxd 2001-08-12 23:32:44 EDT
Look for aspell-en-gb
Comment 2 adrian.lawrence 2001-08-13 05:20:49 EDT
Yes. Sorry. I noticed aspell-en-gb after posting. It was installed. I haven't
the spec file. The link was overwritten during a 7.1 upgrade. Perhaps it is
an anaconda bug? If it freshened aspell-en-gb before aspell? I still don't see
it didn't rpmsave the link. Sorry, I forget the spec keyword. 

I think that the bug stands. Both aspell and aspell-variants need to protect the 
existing links. Or am I missing something?
Comment 3 Trond Eivind Glomsrxd 2001-08-13 16:26:39 EDT
It's not an anaconda bug.

Note that a symlink can't do anything useful as %config... that's usable for
contents of a file, not a symlink to it. Thus, this can't really be fixed
without tricks in the pre,post scripts I'd much prefer to avoid (and
theoretically, the newer versions of aspell should use your locale (you did set
en_GB, right? :) to determine what dictionary to use.).

Note You need to log in before you can comment on or make changes to this bug.